Subject: Re: [PATCH v2] bash completion: add --format= and --oneline options for "git log"

From: Teemu Likonen <[email-masked]>
Date: Tue, 24 Feb 2009 17:47:50 +0200

On 2009-02-24 07:39 (-0800), Shawn O. Pearce wrote:

> Teemu Likonen <[email-masked]> wrote:
>> On 2009-02-24 13:02 (+0200), Teemu Likonen wrote:
>> 
>> > I like this change and would immediately switch to using --format= and
>> > --oneline instead of --pretty=. I think we should add these bash
>> > completions too.
>> 
>> And let's add --format= completion for "git show" too. I think --oneline
>> completion is not needed with "git show" even though it works.
>
> What version of git supports "git log --format" ?
>
> 'cause I can't find evidence that it is implemented in any current
> version that Junio would apply this patch to.

This is meant to be a part of Nanako's patch series:

    http://thread.gmane.org/gmane.comp.version-control.git/111278